<ion-view title="EVENTS" ng-controller="typeIndexCtrl as scope">

  <ion-content>
    <ion-toggle ng-model="shouldShowDelete">
      Show Delete?
    </ion-toggle>

    <ion-list show-delete="shouldShowDelete">
      <!-- the ng-repeat -->
      <ion-item ng-repeat="(key, type) in scope.types">
        <div ng-click="scope.editType(key)">{{type.name}}</div>
        <ion-delete-button class="ion-minus-circled" ng-click="scope.remove(type, key)"></ion-delete-button>
      </ion-item>

    </ion-list>
  </ion-content>

  <ion-footer-bar align-title="left" class="bar-calm">
    <div class="buttons">
      <button class="button" ng-click="scope.newType()">
        NEW TYPE
      </button>
    </div>
  </ion-footer-bar>

</ion-view>
